package com.egg.datasource.service.impl;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.egg.datasource.dao.entity.WeightInformationEntity;
import com.egg.datasource.dao.repo.WeightInformationRepo;
import com.egg.datasource.service.IEggService;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Example;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
@Service
@Slf4j
public class EggServiceImpl implements IEggService {
    @Autowired
    private WeightInformationRepo weightInformationRepo;

    @Override
    public String getWeightDetails(String date) {
        List<WeightInformationEntity> list = null;
        if (date == null || StringUtils.isBlank(date)) {
//            return JSONObject.toJSONString(list);
            return JSON.toJSON(weightInformationRepo.findByWeight()).toString();
        } else {
//            return JSONObject.toJSONString(list);
//            JSONObject.toJSON(list);
            return JSON.toJSON( weightInformationRepo.findByWeightLike(date)).toString();
        }
//        for(WeightInformationEntity weightInformation:list){
////            System.out.println("weightInformation="+weightInformation.toString());
//            System.out.println("weight="+weightInformation.getWeighingTime());
//        }
//        return JSONObject.toJSONString(list);
    }
}
