package com.huimv.zhaoyi.entity;


import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

@Entity
@Data
@Table(name = "weight_information")
public class WeightInformation implements Serializable {
    @Id
    @Column(name =  "id")
    private String id;


    //流水单号
    @Column(name =  "serial_number")
    private String serialNumber;


    //站点编号
    @Column(name =  "stationid")
    private String stationid;

    //站点名称
    @Column(name =  "stationname")
    private String stationname;

    //车号
    @Column(name =  "car_number")
    private String carNumber;

    //车架号
    @Column(name =  "vin_number")
    private String vinNumber;

    //称重类型
    @Column(name =  "pound_type")
    private String poundType;

    //发货单位
    @Column(name =  "consigner")
    private String consigner;

    //收货单位
    @Column(name =  "consignee")
    private String consignee;

    //货物名称
    @Column(name =  "variety")
    private String variety;

    //规格
    @Column(name =  "specification")
    private String specification;

    //毛重
    @Column(name =  "gross_weight")
    private Integer grossWeight;

    //实际皮重
    @Column(name =  "tare_weight")
    private Integer tareWeight;

    //实际净重
    @Column(name =  "net_weight")
    private Integer netWeight;

    //扣重
    @Column(name =  "deduction_weight")
    private Integer deductionWeight;

    //实重
    @Column(name =  "actual_weight")
    private Integer actualWeight;

    //单价
    @Column(name =  "price")
    private Integer price;

    //金额
    @Column(name =  "money")
    private Integer money;

    //折方系数
    @Column(name =  "coefficient")
    private Integer coefficient;

    //方量
    @Column(name =  "capacity")
    private Integer capacity;

    //称重费用
    @Column(name =  "weighing_charges")
    private Integer weighingCharges;

    //毛重司磅员
    @Column(name =  "gross_weighman")
    private String grossWeighman;

    //皮重司磅员
    @Column(name =  "tare_weighman")
    private String tareWeighman;

    //过毛重地磅号
    @Column(name =  "gross_pound_number")
    private String grossPoundNumber;

    //过皮重地磅号
    @Column(name =  "tare_pound_number")
    private String tarePoundNumber;

    //毛重称重时间
    @Column(name =  "gross_weight_time")
    private String grossWeightTime;

    //皮重称重时间
    @Column(name =  "tare_weight_time")
    private String tareWeightTime;

    //第一次称重时间
    @Column(name =  "first_weighing_time")
    private String firstWeighingTime;


    //上传时间
    @Column(name =  "upload_time")
    private Date uploadTime;
  /*  //第二次称重时间
    @Column(name =  "second_weighing_time")
    private String secondWeighingTime;

    //称重时间
    @Column(name =  "weighing_time")
    private String weighingTime;

    //更新人
    @Column(name =  "update_user")
    private String updateUser;

    //更新时间
    @Column(name =  "updateTime")
    private String updateTime;

    //备注
    @Column(name =  "remarks")
    private String remarks;

    //打印
    @Column(name =  "times_of_prints")
    private String timesOfPrints;

    //上传治超
    @Column(name =  "is_upload")
    private String isUpload;

    //上传治超
    @Column(name =  "is_upload")
    private String isUpload2;

    //上传治超
    @Column(name =  "is_upload")
    private String isUpload3;


    //上传科达
    @Column(name =  "is_upload_cloud")
    private String isUploadCloud;

    //状态
    @Column(name =  "data_status")
    private String dataStatus;

    //车牌颜色
    @Column(name =  "memo1")
    private String memo1;

    //轮轴数
    @Column(name =  "memo2")
    private String memo2;

    //限重
    @Column(name =  "memo3")
    private String memo3;

    //超重
    @Column(name =  "memo4")
    private String memo4;

    //超重比例
    @Column(name =  "memo5")
    private String memo5;

    //允许超重比例
    @Column(name =  "memo6")
    private String memo6;

    //劝返流水单号
    @Column(name =  "memo7")
    private String memo7;

    //劝返卸重
    @Column(name =  "memo8")
    private String memo8;

    //已卸重
    @Column(name =  "memo9")
    private String memo9;

    //劝返时间
    @Column(name =  "memo10")
    private String memo10;

    //memo11
    @Column(name =  "memo11")
    private String memo11;

    //memo12
    @Column(name =  "memo12")
    private String memo12;

    //memo13
    @Column(name =  "memo13")
    private String memo13;

    //memo14
    @Column(name =  "memo14")
    private String memo14;

    //memo15
    @Column(name =  "memo15")
    private String memo15;

    //memo16
    @Column(name =  "memo16")
    private String memo16;

    //memo17
    @Column(name =  "memo17")
    private String memo17;

    //memo18
    @Column(name =  "memo18")
    private String memo18;

    //memo19
    @Column(name =  "memo19")
    private String memo19;

    //memo20
    @Column(name =  "memo20")
    private String memo20;

    //memo21
    @Column(name =  "memo21")
    private String memo21;

    //过磅类型
    @Column(name =  "weighing_type")
    private String weighingType;


    //数据上传状态
    @Column(name =  "uploadKdState")
    private String uploadKdState;

    //图片上传状态
    @Column(name =  "uploadKdState2")
    private String uploadKdState2;

    //视频上传状态
    @Column(name =  "uploadKdState3")
    private String uploadKdState3;


*/

}
