package com.huimv.getdata.controller;


import com.huimv.getdata.entity.WeightInformation;
import com.huimv.getdata.service.IWeightInformationService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.client.RestTemplate;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author author
 * @since 2022-03-22
 */
@RestController
@RequestMapping("/weightInformation")
public class WeightInformationController {


    @Autowired
    private RestTemplate restTemplate;

    @Autowired
    private IWeightInformationService weightInformationService;
//    @GetMapping("/test")
    @Scheduled(cron = "0 0 * * * ?后备 ")
    public  String  test(){
        ResponseEntity<WeightInformation[]> forEntity = restTemplate.getForEntity("http://127.0.0.1:9100/weightInformation/getList", WeightInformation[].class);

        WeightInformation[] body = forEntity.getBody();
        for (WeightInformation weightInformation : body) {

            System.out.println(weightInformation.toString());
        }
        weightInformationService.saveBatch(Arrays.asList(body));

        return null;

    }



}
