package com.egg.datasource.dao.repo;

import com.egg.datasource.dao.entity.WeightInformationEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface WeightInformationRepo extends JpaRepository<WeightInformationEntity, String>, JpaSpecificationExecutor<WeightInformationEntity> {

    @Query(nativeQuery = true,value = "select t.* from weight_information t where t.weighing_time like %?1% ORDER BY weighing_time ASC")
    List<WeightInformationEntity> findByWeightLike(String name);

    @Query(nativeQuery = true,value = "select t.* from weight_information t")
    List<WeightInformationEntity> findByWeight();
}